首页 >> 知识 >>行业资讯 >> ORACLE发布关于MYSQL服务的重大安全漏洞说明
详细内容

ORACLE发布关于MYSQL服务的重大安全漏洞说明

文章内容

今天小编转载一篇来自百度安全指数平台在2018年1月18日发布的关于MySQL重大安全漏洞通告的内容,正文部分如下:Oracle 官方近日发布安全公告,公告修复 MySQL25 个安全漏洞,在这些安全漏洞中,影响较大的 CVE-2018-2696 漏洞可以在无需认证的条件下,远程利用导致拒绝服务攻击。本次安全公告披露的安全漏洞数量较多,建议用户关注。

2018-01-29_5a6ecfb23c35a.jpg

漏洞编号: CVE-2018-2696,CVE-2018-2591,CVE-2018-2562

漏洞描述:

CVE-2018-2562 MySQL 分区未指定的漏洞

漏洞源于 Oracle MySQL 服务器分区组件。影响 5.5.58 及之前版本,5.6.38 及之前的版本,5.7.19 及之前的版本。该漏洞允许低权限通过多种协议对服务器进行拒绝式攻击,也可以无需授权更新、插入、删除数据库中的可以访问的数据。

漏洞等级:高危

CVE-2018-2591 MySQL 分区未指定的漏洞

漏洞源于 Oracle MySQL 服务器分区组件。影响 5.6.38 及之前的版本,5.7.19 及之前的版本。该漏洞允许低权限通过多种协议对服务器进行拒绝式攻击。

漏洞等级:中危

CVE-2018-2696 MySQL: sha256_password 认证长密码拒绝式攻击

该漏洞源于 MySQL sha256_password 认证插件,该插件没有对认证密码的长度进行限制,而直接传给 my_crypt_genhash() 用 SHA256 对密码加密求哈希值。该计算过程需要大量的 CPU 计算,如果传递一个很长的密码时候,会导致 CPU 耗尽。而且该插件 MySQL 的实现中使用 alloca() 进行内存分配,无法对内存栈溢出保护,可能导致内存泄露、进程崩溃,从而可能实现代码执行。

MySQL <= 5.6.38 和 MySQL <= 5.7.20 受影响。

漏洞等级:高危

漏洞修复建议 (或缓解措施)

目前 Oracle 官方已经发布最新版本,建议自建 MySQL 服务用户及时手工下载更新:

MySQL 5.6.39 版本:https://dev.mysql.com/downloads/mysql/5.6.html

MySQL 5.7.21 版本:https://dev.mysql.com/downloads/mysql/5.7.html

  • 扫码加微